com.impinj.octane

## Enum SequenceTriggerType

- java.lang.Object
- - java.lang.Enum<SequenceTriggerType>
  - - com.impinj.octane.SequenceTriggerType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SequenceTriggerType>

      public enum SequenceTriggerType
      extends java.lang.Enum<SequenceTriggerType>
      implements java.io.Serializable

  A tag operation sequence has a stop trigger that defines when the reader should stop executing the tag operation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ExecutionCount` Indicates that the sequence will run for the number of times specified in the ExecutionCount parameter.
    `None` Indicates that there is no stop trigger; the sequence runs indefinitely.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static SequenceTriggerType` | `valueOf(int sequenceTriggerTypeValue)`
    `static SequenceTriggerType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SequenceTriggerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final SequenceTriggerType None

      Indicates that there is no stop trigger; the sequence runs indefinitely.

    - #### ExecutionCount

          public static final SequenceTriggerType ExecutionCount

      Indicates that the sequence will run for the number of times specified in the ExecutionCount parameter.

  - ### Method Detail

    - #### values

          public static SequenceTriggerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SequenceTriggerType c : SequenceTriggerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SequenceTriggerType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static SequenceTriggerType valueOf(int sequenceTriggerTypeValue)

      Parameters:
        `sequenceTriggerTypeValue` - integer value
      Returns:
        the enumeration object associated with this integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value for this enumeration object